[Date Prev][Date Next] [Chronological] [Thread] [Top]

RE: index based search does not work correctly (ITS#2088)

I didn't ask you to upgrade BDB. The upgrade from BDB 4.0 to 4.1 involves a
database format change. You need to run db_upgrade now. Read the Berkeley
docs before you do anything else or you're likely to lose the database

Note that OpenLDAP 2.1.5 was just released, so you should use that instead of
the REL_ENG_2_1 tree (although they were probably identical at the time you
retrieved them).

  -- Howard Chu
  Chief Architect, Symas Corp.       Director, Highland Sun
  http://www.symas.com               http://highlandsun.com/hyc
  Symas: Premier OpenSource Development and Support

> -----Original Message-----
> From: owner-openldap-bugs@OpenLDAP.org
> [mailto:owner-openldap-bugs@OpenLDAP.org]On Behalf Of
> nkiesel@tbdnetworks.com
> Sent: Thursday, September 19, 2002 4:42 PM
> To: openldap-its@OpenLDAP.org
> Subject: Re: index based search does not work correctly (ITS#2088)
> Ok, I did a cvs co -r OPENLDAP_REL_ENG_2_1 and built with bdb-4.1.24.
> However, now I can't even run a single query because slapd dies saying:
> bdb_open: Sleepycat Software: Berkeley DB 4.1.24: (September 13, 2002)
> bdb_db_init: Initializing BDB database
> bdb(o=tbdnetworks.com): unable to join the environment
> bdb_db_open: dbenv_open failed: Resource temporarily unavailable (11)
> backend_startup: bi_db_open(0) failed! (11)
> bdb(o=tbdnetworks.com): txn_checkpoint interface requires an environment
> configured for the transaction subsystem
> bdb_db_destroy: txn_checkpoint failed: Invalid argument (22)
> slapd stopped.
> Any ideas?  Would building against bdb-4.0.14 help?
> On Wed, 2002-09-18 at 21:40, Howard Chu wrote:
> > Please try pulling the OpenLDAP 2.1.5 release candidate out of
> CVS and see if it
> > has the same problem. There have been a number of index-related
> fixes since the
> > 2.1.4 release. Check out the OPENLDAP_REL_ENG_2_1 source from the CVS
> > repository.
> >